# Grocy Environment Variables

# These environment variables affect PHP and the grocy application
# For a full list of grocy settings, see config-dist.php in the main grocy repo:
#
#       https://github.com/grocy/grocy/blob/master/config-dist.php
#
# Grocy application settings must be prefixed with 'GROCY_'.
#
# For example, if we'd like to configure grocy to use Euros (EUR):
#
#       Setting('CURRENCY', 'USD');
#
# Then we would set GROCY_CURRENCY=EUR 


## User-supplied Variables

# These are environment variables that may be supplied by the user
# No values are supplied for these as part of this distribution

# When you're ready to deploy grocy in production, set GROCY_MODE=production
# to enable user authentication
GROCY_MODE=production


## Distribution-supplied Variables

# These are 'sensible defaults' provided as part of the grocy-docker
# distribution.

# GROCY_CULTURE configures localization of the grocy application
# Supported locales: https://github.com/grocy/grocy/tree/master/localization
GROCY_CULTURE=de
GROCY_CURRENCY=EUR
GROCY_DEFAULT_LOCALE=de

# Grocy Mode
GROCY_MODE=production


# PHP Environment variables
MAX_UPLOAD=50M
PHP_MAX_FILE_UPLOAD=200
PHP_MAX_POST=100M
PHP_MEMORY_LIMIT=512M

#Custom Settings
GROCY_ROOT=/home/compute/services/grocy
DOMAIN=domain.com
